<?php

	if(!defined('LF'))
	{
		define('LF', chr(10)); // Line feed '\n'
	}

	if(!defined('TAB'))
	{
		define('TAB', chr(9)); // Tab '\t'
	}

	if(!defined('DS')) // Directory seperator
	{
		define('DS', (strpos(dirname(__FILE__), '\\') ? '\\' : '/'));
	}

	if(!defined('IDEALCHECKOUT_PATH'))
	{
		define('IDEALCHECKOUT_PATH', dirname(dirname(dirname(__FILE__))));
	}

	if(!defined('SOFTWARE_PATH'))
	{
		define('SOFTWARE_PATH', dirname(dirname(dirname(dirname(__FILE__)))));
	}





	// Initiate software
	$sSoftwareClass = IDEALCHECKOUT_INSTALL::setSoftware();

	if(empty($sSoftwareClass))
	{
		ic_output('<p>Cannot detect the current software!<br>Please try to install another plug-in or version suitable for your software.</p>');
	}

	$_REQUEST = array();
	$_REQUEST['software'] = $sSoftwareClass;
	$_REQUEST['settings'] = false;

	$sInstallFile = dirname(dirname(dirname(__FILE__))) . '/configuration/install.php';

	if(is_file($sInstallFile))
	{
		$_REQUEST['settings'] = include($sInstallFile);
	}





	// Verify read/write privileges
	$_REQUEST['files-and-folders'] = IDEALCHECKOUT_INSTALL::getFilesAndFolders($sSoftwareClass);

	$bWritable = true;

	foreach($_REQUEST['files-and-folders'] as $sPath)
	{
		if(!is_writable($sPath))
		{
			$bWritable = false;
			break;
		}
	}

	if(!defined('FTP_ACCESS_REQUIRED'))
	{
		define('FTP_ACCESS_REQUIRED', $bWritable === false);
	}

/*
	$a = get_defined_constants(true);
	print_r($a['user']);
*/




	$_REQUEST['psp'] = array();

	$_REQUEST['psp']['ingbank']['name'] = 'ING Bank';
	$_REQUEST['psp']['ingbank']['gateways'] = array();
	
	$_REQUEST['psp']['ingbank']['gateways'][] = array('code' => 'ING Kassa compleet - ALL', 'type' => 'ideal', 'name' => 'Kassa Compleet - ALL', 'dashboard' => '<b>API Key ophalen</b><br> Voor de configuratie van de plug-in bent u de API key nodig. Deze vind u door naar uw <a href="https://portal.kassacompleet.nl" target="_blank">Kassa Compleet dashboard</a> te gaan. Hier gaat u vervolgens naar de instellingen pagina, hier klikt u vervolgens op webwinkels. Hier selecteert u de webshop waarvoor de plugin moet worden geïnstalleerd. Hier vind u links onderin een knop "Klik hier voor de API key" Kopieër deze key en vul deze hieronder in.');
	$_REQUEST['psp']['ingbank']['gateways'][] = array('code' => 'ING Kassa compleet - iDEAL', 'type' => 'ideal', 'name' => 'Kassa Compleet - iDEAL', 'dashboard' => '<b>API Key ophalen</b><br> Voor de configuratie van de plug-in bent u de API key nodig. Deze vind u door naar uw <a href="https://portal.kassacompleet.nl" target="_blank">Kassa Compleet dashboard</a> te gaan. Hier gaat u vervolgens naar de instellingen pagina, hier klikt u vervolgens op webwinkels. Hier selecteert u de webshop waarvoor de plugin moet worden geïnstalleerd. Hier vind u links onderin een knop "Klik hier voor de API key" Kopieër deze key en vul deze hieronder in.');
	$_REQUEST['psp']['ingbank']['gateways'][] = array('code' => 'ING Kassa compleet - Creditcard', 'type' => 'creditcard', 'name' => 'Kassa Compleet - Creditcard', 'dashboard' => '<b>API Key ophalen</b><br> Voor de configuratie van de plug-in bent u de API key nodig. Deze vind u door naar uw <a href="https://portal.kassacompleet.nl" target="_blank">Kassa Compleet dashboard</a> te gaan. Hier gaat u vervolgens naar de instellingen pagina, hier klikt u vervolgens op webwinkels. Hier selecteert u de webshop waarvoor de plugin moet worden geïnstalleerd. Hier vind u links onderin een knop "Klik hier voor de API key" Kopieër deze key en vul deze hieronder in.');
	$_REQUEST['psp']['ingbank']['gateways'][] = array('code' => 'ING Kassa compleet - Handmatige overboeking', 'type' => 'manualtransfer', 'name' => 'Kassa Compleet - Handmatige overboeking', 'dashboard' => '<b>API Key ophalen</b><br> Voor de configuratie van de plug-in bent u de API key nodig. Deze vind u door naar uw <a href="https://portal.kassacompleet.nl" target="_blank">Kassa Compleet dashboard</a> te gaan. Hier gaat u vervolgens naar de instellingen pagina, hier klikt u vervolgens op webwinkels. Hier selecteert u de webshop waarvoor de plugin moet worden geïnstalleerd. Hier vind u links onderin een knop "Klik hier voor de API key" Kopieër deze key en vul deze hieronder in..');
	$_REQUEST['psp']['ingbank']['gateways'][] = array('code' => 'ING Kassa compleet - Bancontact/Mistercash', 'type' => 'mistercash', 'name' => 'Kassa Compleet - Bancontact/Mistercash', 'dashboard' => '<b>API Key ophalen</b><br> Voor de configuratie van de plug-in bent u de API key nodig. Deze vind u door naar uw <a href="https://portal.kassacompleet.nl" target="_blank">Kassa Compleet dashboard</a> te gaan. Hier gaat u vervolgens naar de instellingen pagina, hier klikt u vervolgens op webwinkels. Hier selecteert u de webshop waarvoor de plugin moet worden geïnstalleerd. Hier vind u links onderin een knop "Klik hier voor de API key" Kopieër deze key en vul deze hieronder in.');
	$_REQUEST['psp']['ingbank']['gateways'][] = array('code' => 'ING Kassa compleet - PayPal', 'type' => 'paypal', 'name' => 'Kassa Compleet - PayPal', 'dashboard' => '<b>API Key ophalen</b><br> Voor de configuratie van de plug-in bent u de API key nodig. Deze vind u door naar uw <a href="https://portal.kassacompleet.nl" target="_blank">Kassa Compleet dashboard</a> te gaan. Hier gaat u vervolgens naar de instellingen pagina, hier klikt u vervolgens op webwinkels. Hier selecteert u de webshop waarvoor de plugin moet worden geïnstalleerd. Hier vind u links onderin een knop "Klik hier voor de API key" Kopieër deze key en vul deze hieronder in.');
	$_REQUEST['psp']['ingbank']['gateways'][] = array('code' => 'ING Kassa compleet - Klarna', 'type' => 'klarnainvoice', 'name' => 'Kassa Compleet - Klarna (invoice)', 'dashboard' => '<b>API Key ophalen</b><br> Voor de configuratie van de plug-in bent u de API key nodig. Deze vind u door naar uw <a href="https://portal.kassacompleet.nl" target="_blank">Kassa Compleet dashboard</a> te gaan. Hier gaat u vervolgens naar de instellingen pagina, hier klikt u vervolgens op webwinkels. Hier selecteert u de webshop waarvoor de plugin moet worden geïnstalleerd. Hier vind u links onderin een knop "Klik hier voor de API key" Kopieër deze key en vul deze hieronder in.');
	$_REQUEST['psp']['ingbank']['gateways'][] = array('code' => 'ING Kassa compleet - Payconiq', 'type' => 'payconiq', 'name' => 'Kassa Compleet - Payconiq', 'dashboard' => '<b>API Key ophalen</b><br> Voor de configuratie van de plug-in bent u de API key nodig. Deze vind u door naar uw <a href="https://portal.kassacompleet.nl" target="_blank">Kassa Compleet dashboard</a> te gaan. Hier gaat u vervolgens naar de instellingen pagina, hier klikt u vervolgens op webwinkels. Hier selecteert u de webshop waarvoor de plugin moet worden geïnstalleerd. Hier vind u links onderin een knop "Klik hier voor de API key" Kopieër deze key en vul deze hieronder in.');
	$_REQUEST['psp']['ingbank']['gateways'][] = array('code' => 'ING Kassa compleet - Afterpay', 'type' => 'afterpay', 'name' => 'Kassa Compleet - Afterpay', 'dashboard' => '<b>API Key ophalen</b><br> Voor de configuratie van de plug-in bent u de API key nodig. Deze vind u door naar uw <a href="https://portal.kassacompleet.nl" target="_blank">Kassa Compleet dashboard</a> te gaan. Hier gaat u vervolgens naar de instellingen pagina, hier klikt u vervolgens op webwinkels. Hier selecteert u de webshop waarvoor de plugin moet worden geïnstalleerd. Hier vind u links onderin een knop "Klik hier voor de API key" Kopieër deze key en vul deze hieronder in.');
	
	$_REQUEST['psp']['ingbank']['gateways'][] = array('code' => 'ING Checkout - ALL', 'type' => 'ideal', 'name' => 'ING Checkout - ALL', 'dashboard' => '<b>API Key ophalen</b><br> Voor de configuratie van de plug-in bent u de API key nodig. Deze vind u door naar uw <a href="https://portal.ing-checkout.nl" target="_blank">ING Checkout dashboard</a> te gaan. Hier gaat u vervolgens naar de instellingen pagina, hier klikt u vervolgens op webwinkels. Hier selecteert u de webshop waarvoor de plugin moet worden geïnstalleerd. Hier vind u links onderin een knop "Klik hier voor de API key" Kopieër deze key en vul deze hieronder in.');
	$_REQUEST['psp']['ingbank']['gateways'][] = array('code' => 'ING Checkout - iDEAL', 'type' => 'ideal', 'name' => 'ING Checkout - iDEAL', 'dashboard' => '<b>API Key ophalen</b><br> Voor de configuratie van de plug-in bent u de API key nodig. Deze vind u door naar uw <a href="https://portal.ing-checkout.nl" target="_blank">ING Checkout dashboard</a> te gaan. Hier gaat u vervolgens naar de instellingen pagina, hier klikt u vervolgens op webwinkels. Hier selecteert u de webshop waarvoor de plugin moet worden geïnstalleerd. Hier vind u links onderin een knop "Klik hier voor de API key" Kopieër deze key en vul deze hieronder in.');
	$_REQUEST['psp']['ingbank']['gateways'][] = array('code' => 'ING Checkout - Creditcard', 'type' => 'creditcard', 'name' => 'ING Checkout - Creditcard', 'dashboard' => '<b>API Key ophalen</b><br> Voor de configuratie van de plug-in bent u de API key nodig. Deze vind u door naar uw <a href="https://portal.ing-checkout.nl" target="_blank">ING Checkout dashboard</a> te gaan. Hier gaat u vervolgens naar de instellingen pagina, hier klikt u vervolgens op webwinkels. Hier selecteert u de webshop waarvoor de plugin moet worden geïnstalleerd. Hier vind u links onderin een knop "Klik hier voor de API key" Kopieër deze key en vul deze hieronder in.');
	$_REQUEST['psp']['ingbank']['gateways'][] = array('code' => 'ING Checkout - Handmatige overboeking', 'type' => 'manualtransfer', 'name' => 'ING Checkout - Handmatige overboeking', 'dashboard' => '<b>API Key ophalen</b><br> Voor de configuratie van de plug-in bent u de API key nodig. Deze vind u door naar uw <a href="https://portal.ing-checkout.nl" target="_blank">ING Checkout dashboard</a> te gaan. Hier gaat u vervolgens naar de instellingen pagina, hier klikt u vervolgens op webwinkels. Hier selecteert u de webshop waarvoor de plugin moet worden geïnstalleerd. Hier vind u links onderin een knop "Klik hier voor de API key" Kopieër deze key en vul deze hieronder in.');
	$_REQUEST['psp']['ingbank']['gateways'][] = array('code' => 'ING Checkout - Bancontact/MisterCash', 'type' => 'mistercash', 'name' => 'ING Checkout - Bancontact/Mistercash', 'dashboard' => '<b>API Key ophalen</b><br> Voor de configuratie van de plug-in bent u de API key nodig. Deze vind u door naar uw <a href="https://portal.ing-checkout.nl" target="_blank">ING Checkout dashboard</a> te gaan. Hier gaat u vervolgens naar de instellingen pagina, hier klikt u vervolgens op webwinkels. Hier selecteert u de webshop waarvoor de plugin moet worden geïnstalleerd. Hier vind u links onderin een knop "Klik hier voor de API key" Kopieër deze key en vul deze hieronder in.');
	$_REQUEST['psp']['ingbank']['gateways'][] = array('code' => 'ING Checkout - PayPal', 'type' => 'paypal', 'name' => 'ING Checkout - PayPal', 'dashboard' => '<b>API Key ophalen</b><br> Voor de configuratie van de plug-in bent u de API key nodig. Deze vind u door naar uw <a href="https://portal.ing-checkout.nl" target="_blank">ING Checkout dashboard</a> te gaan. Hier gaat u vervolgens naar de instellingen pagina, hier klikt u vervolgens op webwinkels. Hier selecteert u de webshop waarvoor de plugin moet worden geïnstalleerd. Hier vind u links onderin een knop "Klik hier voor de API key" Kopieër deze key en vul deze hieronder in.');
	$_REQUEST['psp']['ingbank']['gateways'][] = array('code' => 'ING Checkout - Klarna', 'type' => 'klarnainvoice', 'name' => 'ING Checkout - Klarna  (invoice)', 'dashboard' => '<b>API Key ophalen</b><br> Voor de configuratie van de plug-in bent u de API key nodig. Deze vind u door naar uw <a href="https://portal.ing-checkout.nl" target="_blank">ING Checkout dashboard</a> te gaan. Hier gaat u vervolgens naar de instellingen pagina, hier klikt u vervolgens op webwinkels. Hier selecteert u de webshop waarvoor de plugin moet worden geïnstalleerd. Hier vind u links onderin een knop "Klik hier voor de API key" Kopieër deze key en vul deze hieronder in.');
	$_REQUEST['psp']['ingbank']['gateways'][] = array('code' => 'ING Checkout - Sofort', 'type' => 'sofort', 'name' => 'ING Checkout - Sofort', 'dashboard' => '<b>API Key ophalen</b><br> Voor de configuratie van de plug-in bent u de API key nodig. Deze vind u door naar uw <a href="https://portal.ing-checkout.nl" target="_blank">ING Checkout dashboard</a> te gaan. Hier gaat u vervolgens naar de instellingen pagina, hier klikt u vervolgens op webwinkels. Hier selecteert u de webshop waarvoor de plugin moet worden geïnstalleerd. Hier vind u links onderin een knop "Klik hier voor de API key" Kopieër deze key en vul deze hieronder in.');
	$_REQUEST['psp']['ingbank']['gateways'][] = array('code' => 'ING Checkout - Payconiq', 'type' => 'payconiq', 'name' => 'ING Checkout - Payconiq', 'dashboard' => '<b>API Key ophalen</b><br> Voor de configuratie van de plug-in bent u de API key nodig. Deze vind u door naar uw <a href="https://portal.ing-checkout.nl" target="_blank">ING Checkout dashboard</a> te gaan. Hier gaat u vervolgens naar de instellingen pagina, hier klikt u vervolgens op webwinkels. Hier selecteert u de webshop waarvoor de plugin moet worden geïnstalleerd. Hier vind u links onderin een knop "Klik hier voor de API key" Kopieër deze key en vul deze hieronder in.');
	$_REQUEST['psp']['ingbank']['gateways'][] = array('code' => 'ING Checkout - Afterpay', 'type' => 'afterpay', 'name' => 'ING Checkout - Afterpay', 'dashboard' => '<b>API Key ophalen</b><br> Voor de configuratie van de plug-in bent u de API key nodig. Deze vind u door naar uw <a href="https://portal.ing-checkout.nl" target="_blank">ING Checkout dashboard</a> te gaan. Hier gaat u vervolgens naar de instellingen pagina, hier klikt u vervolgens op webwinkels. Hier selecteert u de webshop waarvoor de plugin moet worden geïnstalleerd. Hier vind u links onderin een knop "Klik hier voor de API key" Kopieër deze key en vul deze hieronder in.');
	
	$_REQUEST['psp']['ingbank']['gateways'][] = array('code' => 'ING ePAY - ALL', 'type' => 'ideal', 'name' => 'ING ePAY - ALL', 'dashboard' => '<b>API Key ophalen</b><br> Voor de configuratie van de plug-in bent u de API key nodig. Deze vind u door naar uw <a href="https://portal.ing-checkout.nl" target="_blank">ING ePAY dashboard</a> te gaan. Hier gaat u vervolgens naar de instellingen pagina, hier klikt u vervolgens op webwinkels. Hier selecteert u de webshop waarvoor de plugin moet worden geïnstalleerd. Hier vind u links onderin een knop "Klik hier voor de API key" Kopieër deze key en vul deze hieronder in.');
	$_REQUEST['psp']['ingbank']['gateways'][] = array('code' => 'ING ePAY - iDEAL', 'type' => 'ideal', 'name' => 'ING ePAY - iDEAL', 'dashboard' => '<b>API Key ophalen</b><br> Voor de configuratie van de plug-in bent u de API key nodig. Deze vind u door naar uw <a href="https://portal.ing-checkout.nl" target="_blank">ING ePAY dashboard</a> te gaan. Hier gaat u vervolgens naar de instellingen pagina, hier klikt u vervolgens op webwinkels. Hier selecteert u de webshop waarvoor de plugin moet worden geïnstalleerd. Hier vind u links onderin een knop "Klik hier voor de API key" Kopieër deze key en vul deze hieronder in.');
	$_REQUEST['psp']['ingbank']['gateways'][] = array('code' => 'ING ePAY - Creditcard', 'type' => 'creditcard', 'name' => 'ING ePAY - Creditcard', 'dashboard' => '<b>API Key ophalen</b><br> Voor de configuratie van de plug-in bent u de API key nodig. Deze vind u door naar uw <a href="https://portal.ing-checkout.nl" target="_blank">ING ePAY dashboard</a> te gaan. Hier gaat u vervolgens naar de instellingen pagina, hier klikt u vervolgens op webwinkels. Hier selecteert u de webshop waarvoor de plugin moet worden geïnstalleerd. Hier vind u links onderin een knop "Klik hier voor de API key" Kopieër deze key en vul deze hieronder in.');
	$_REQUEST['psp']['ingbank']['gateways'][] = array('code' => 'ING ePAY - Handmatige overboeking', 'type' => 'manualtransfer', 'name' => 'ING ePAY - Handmatige overboeking', 'dashboard' => '<b>API Key ophalen</b><br> Voor de configuratie van de plug-in bent u de API key nodig. Deze vind u door naar uw <a href="https://portal.ing-checkout.nl" target="_blank">ING ePAY dashboard</a> te gaan. Hier gaat u vervolgens naar de instellingen pagina, hier klikt u vervolgens op webwinkels. Hier selecteert u de webshop waarvoor de plugin moet worden geïnstalleerd. Hier vind u links onderin een knop "Klik hier voor de API key" Kopieër deze key en vul deze hieronder in.');
	$_REQUEST['psp']['ingbank']['gateways'][] = array('code' => 'ING ePAY - Bancontact/MisterCash', 'type' => 'mistercash', 'name' => 'ING ePAY - Bancontact/Mistercash', 'dashboard' => '<b>API Key ophalen</b><br> Voor de configuratie van de plug-in bent u de API key nodig. Deze vind u door naar uw <a href="https://portal.ing-checkout.nl" target="_blank">ING ePAY dashboard</a> te gaan. Hier gaat u vervolgens naar de instellingen pagina, hier klikt u vervolgens op webwinkels. Hier selecteert u de webshop waarvoor de plugin moet worden geïnstalleerd. Hier vind u links onderin een knop "Klik hier voor de API key" Kopieër deze key en vul deze hieronder in.');



?>